package com.kelidestan.dialogs;

import android.app.Activity;
import android.app.Dialog;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Button b = (Button) findViewById(R.id.button1);
        b.setOnClickListener(new OnClickListener() {
                
                @Override
                public void onClick(View v) {
                	Dialog d = new Dialog(MainActivity.this);
                	d.setContentView(R.layout.dialog);
                	String title = getResources().getString(R.string.dialog_title);
                	d.setTitle(title);
                	d.show();
                }
        });
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
